Last Comment Bug 521647 - "Help" item in the menu bar should be different between Windows and other platforms for some locales
: "Help" item in the menu bar should be different between Windows and other pla...
Status: VERIFIED FIXED
: l12y
Product: SeaMonkey
Classification: Client Software
Component: OS Integration (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Cédric Corazza
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-11 07:42 PDT by Cédric Corazza
Modified: 2009-11-04 12:11 PST (History)
1 user (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch for Help item menu (1.44 KB, patch)
2009-10-11 07:42 PDT, Cédric Corazza
no flags Details | Diff | Splinter Review
Patch for Help item menu without #ifdef (1.07 KB, patch)
2009-10-11 09:28 PDT, Cédric Corazza
neil: review-
Details | Diff | Splinter Review
Alternate patch (666 bytes, patch)
2009-10-11 10:40 PDT, Cédric Corazza
neil: review+
Details | Diff | Splinter Review
Final patch addressing Neil's comments [Checkin: Comment 11] (801 bytes, patch)
2009-10-11 12:15 PDT, Cédric Corazza
kairo: approval‑seamonkey2.0.1-
Details | Diff | Splinter Review

Description Cédric Corazza 2009-10-11 07:42:12 PDT
Created attachment 405760 [details] [diff] [review]
Patch for Help item menu

For the french localisation we need to have a different "Help" menu between
Windows and Unix/Mac.
In French Windows, all the programs have an "?" item menu instead of "Help". Other French localized Mozilla products use "?" for the Help item (cf. https://bugzilla.mozilla.org/show_bug.cgi?id=247842 and https://bugzilla.mozilla.org/show_bug.cgi?id=228163).
It would be nice to have it in SeaMonkey 2.1
Comment 1 Cédric Corazza 2009-10-11 09:28:56 PDT
Created attachment 405771 [details] [diff] [review]
Patch for Help item menu without #ifdef
Comment 2 neil@parkwaycc.co.uk 2009-10-11 09:48:41 PDT
Comment on attachment 405771 [details] [diff] [review]
Patch for Help item menu without #ifdef

It turns out that we can do better than this!

Because utilityOverlay.xul already includes platformCommunicatorOverlay.dtd as well as utilityOverlay.dtd, you can override any* utilityOverlay.xul string on a platform-specific basis by adding it to platformCommunicatorOverlay.dtd too.

i.e. in your locale, simply add this to win/platformCommunicatorOverlay.dtd:
<!-- Help viewer -->
<!ENTITY helpMenu.label                 "?">
<!ENTITY helpMenu.accesskey             "?">

(*The exceptions are the Edit menu entries in the bookmarks and history windows, because they use utilityOverlay.dtd directly.)
Comment 3 Cédric Corazza 2009-10-11 10:01:15 PDT
(In reply to comment #2)
OK. But compare-locales script won't be happy with this. Though, the build process should start even if there are obsolete strings (strings not in en-US). But I'm not sure of this. That will also make the fr SeaMonkey tinderboxes forever orange.
Comment 4 Cédric Corazza 2009-10-11 10:40:37 PDT
Created attachment 405776 [details] [diff] [review]
Alternate patch

This is an alternate patch with less code and which won't break the build process and the tinderboxes wrt comment#2
Comment 5 neil@parkwaycc.co.uk 2009-10-11 11:38:38 PDT
Comment on attachment 405776 [details] [diff] [review]
Alternate patch

>+<!-- LOCALIZATION NOTE some localizations of Windows use "?"
>+                       for the help button in the menubar but Gnome does not.   -->
Nit: This is a platform file, so I'm not sure that you need to mention Gnome.
Maybe something like
<!-- LOCALIZATION NOTE some localizations change the help label on Windows -->

>+<!ENTITY helpMenu.label                 "Help"> 
>+<!ENTITY helpMenu.accesskey             "H">
Nit: Please add these to the Help Viewer section as I indicated previously.

r=me with those fixed.
Comment 6 Cédric Corazza 2009-10-11 12:15:53 PDT
Created attachment 405785 [details] [diff] [review]
Final patch addressing Neil's comments
[Checkin: Comment 11]
Comment 7 Cédric Corazza 2009-10-24 03:56:59 PDT
(In reply to comment #7)
> It would be nice to have it in SeaMonkey 2.1
I wanted to say SeaMonkey 2.0.1
Comment 8 Stefan [:stefanh] 2009-11-01 07:08:59 PST
(In reply to comment #7)
> (In reply to comment #7)
> > It would be nice to have it in SeaMonkey 2.1
> I wanted to say SeaMonkey 2.0.1

You need to ask for "approval‑seamonkey2.0.1" (click the "details" link, then set the "?" flag on the attachment, and comment on the risk and why you want this on 2.0.1).
Comment 9 Cédric Corazza 2009-11-01 10:26:50 PST
Comment on attachment 405785 [details] [diff] [review]
Final patch addressing Neil's comments
[Checkin: Comment 11]

I tested the patch and it worked fine.
It would be nice to have so that we have consistent UI across Mozilla products.
Comment 10 Robert Kaiser 2009-11-01 14:06:54 PST
Comment on attachment 405785 [details] [diff] [review]
Final patch addressing Neil's comments
[Checkin: Comment 11]

Umm, Cedric, as a localizer you should know that we can't take L10n changes in a stable branch.
Comment 11 Serge Gautherie (:sgautherie) 2009-11-02 15:07:29 PST
Comment on attachment 405785 [details] [diff] [review]
Final patch addressing Neil's comments
[Checkin: Comment 11]


http://hg.mozilla.org/comm-central/rev/e0fb72d64bfe
Comment 12 Cédric Corazza 2009-11-04 12:11:48 PST
VERIFIED
Name=SeaMonkey
Version=2.1a1pre
BuildID=20091104002950

Note You need to log in before you can comment on or make changes to this bug.